Activity log for bug #578613

Date Who What changed Old value New value Message
2010-05-11 02:23:15 David Leonard bug added bug
2010-05-11 03:19:04 Paul Belanger bug watch added https://issues.asterisk.org/view.php?id=16406
2010-05-11 03:19:04 Paul Belanger bug task added asterisk
2011-09-02 22:01:20 Clint Byrum asterisk (Ubuntu): status New Triaged
2011-09-02 22:01:31 Clint Byrum asterisk (Ubuntu): importance Undecided High
2011-09-02 22:01:38 Clint Byrum nominated for series Ubuntu Lucid
2011-09-02 22:01:38 Clint Byrum bug task added asterisk (Ubuntu Lucid)
2011-09-02 22:02:11 Clint Byrum asterisk (Ubuntu): status Triaged Fix Released
2011-09-02 22:02:14 Clint Byrum asterisk (Ubuntu Lucid): status New Triaged
2011-09-02 22:02:18 Clint Byrum asterisk (Ubuntu Lucid): importance Undecided High
2015-06-17 11:01:54 Rolf Leggewie asterisk (Ubuntu Lucid): status Triaged Won't Fix
2019-02-13 10:05:06 tranadols description Binary package hint: asterisk After an upgrade to 10.04, I get a seg fault in /usr/sbin/asterisk (package version 1:1.6.2.5-0ubuntu1 amd64) SIGSEGV (gdb) fr 0 #0 masq_park_call (rchan=0x7f4276028170, peer=0x0, timeout=<value optimized out>, extout=<value optimized out>, play_announcement=<value optimized out>, args=0x7f424ef90160) at features.c:873 873 args->orig_chan_name = ast_strdupa(peer->name); (gdb) up #1 0x00007f425083529c in parkandannounce_exec (chan=0x7f4276028170, data=<value optimized out>) at app_parkandannounce.c:137 137 res = ast_masq_park_call(chan, NULL, timeout, &lot); This was easily fixed by adding '&& peer' to the conditional at features.c:872. if (!play_announcement && args == &pack_args && peer) thankyou Binary package hint: asterisk After an upgrade to 10.04, I get a seg fault in /usr/sbin/asterisk (package version 1:1.6.2.5-0ubuntu1 amd64) SIGSEGV (gdb) fr 0 #0 masq_park_call (rchan=0x7f4276028170, peer=0x0,    timeout=<value optimized out>, extout=<value optimized out>,    play_announcement=<value optimized out>, args=0x7f424ef90160)    at features.c:873 873 args->orig_chan_name = ast_strdupa(peer->name); (gdb) up #1 0x00007f425083529c in parkandannounce_exec (chan=0x7f4276028170,    data=<value optimized out>) at app_parkandannounce.c:137 137 res = ast_masq_park_call(chan, NULL, timeout, &lot); https://bit.ly/2BtN52W This was easily fixed by adding '&& peer' to the conditional at features.c:872.       if (!play_announcement && args == &pack_args && peer) thankyou